@echo off
echo OFF

echo WebSphere Application Server 3.5, Standard Edition PTF 7
set COPYCMD=/Y

set SILENT_INSTALL=false
set IGNORE_ERRORS=false
IF  (%1) == ()                              goto check_was_off
IF  (%1) == (-silent) IF (%2) == (-ignore)  goto set_silent_and_ignore
IF  (%1) == (-ignore) IF (%2) == (-silent)  goto set_silent_and_ignore
IF  (%1) == (-silent)                       goto set_silent_true
IF  (%1) == (-ignore)                       goto ignore_errors

REM Any other flags are incorrect.
:silent_usage
echo.
echo Usage:To run the silent ptf install, please type: install.bat -silent
echo       Also, please have these variables set in the shell:
echo       WAS_HOME : Set this to the WebSphere root directory.
echo                 (Example: c:\WebSphere\AppServer)
echo       IHS_INSTALL : Set this to "true" or "false" regarding upgrading the IBM HTTP Server.
echo       IHS_HOME : Set this to the IBM HTTP Server root directory if upgrading IHS. 
echo                 (Example: c:\Program Files\IBM HTTP Server)
echo       DOC_ROOT : Set this to the web server's document root, or leave blank for no samples update.
echo                 (Example: c:\Program Files\IBM HTTP Server\htdocs)
echo       IPLANET_HOME : Set this to the configuration directory of the Sun ONE Web Server (iPlanet) 6.0.x (if it is installed).
echo                     (Example: c:\iPlanet\Servers\https-<hostname>\config)
echo                      if you do not have Sun ONE Web Server (iPlanet) 6.0.x installed then leave the path empty.
echo       IPLANET_VERSION : Set this to the version number of the Sun ONE Web Server (iPlanet) that is to be configured.
                             (Valid values are 4 or 6)

echo.
goto exit

:set_silent_true
set SILENT_INSTALL=true
goto check_silent_vars

:ignore_errors
set IGNORE_ERRORS=true
echo.
echo You have chosen to let the ptf install ignore the errors thrown during 
echo the install.  It is recommended to use this option (-ignore) only when
echo the ptf will be installed on a machine that does not have a full 
echo WebSphere installation (example: IHS and plugin only configuration).
echo.
goto check_was_off

:set_silent_and_ignore
set SILENT_INSTALL=true
set IGNORE_ERRORS=true
goto check_silent_vars

:check_was_off
echo.
echo Please shut down the WebSphere Application Server and any Web Servers
echo that might be running. If not the PTF may not be installed properly.
echo.

GetInput F_RES "Press Enter to continue..." ~wasshut.bat
call ~wasshut.bat
del ~wasshut.bat

:check_was_home
if (%WAS_HOME%) == () goto prompt_was_home
set F_WAS_HOME=%WAS_HOME%

if (%SILENT_INSTALL%)==(true)  goto verify_was_home

if not (%WAS_HOME%)== () goto change_was_home
goto verify_was_home


:change_was_home
if (%SILENT_INSTALL%)==(true)  goto silent_usage
REM Get WAS Install Dir
echo Current WAS_HOME %WAS_HOME%
GetInput WAS_CONFIRM "Do you want to change the WAS_HOME directory?(Yes/No)" ~confirm.bat
	call ~confirm.bat
	del ~confirm.bat
	if (%WAS_CONFIRM%) == (y) goto prompt_was_home
	if (%WAS_CONFIRM%) == (Y) goto prompt_was_home
	if (%WAS_CONFIRM%) == (yes) goto prompt_was_home
	if (%WAS_CONFIRM%) == (Yes) goto prompt_was_home
	if (%WAS_CONFIRM%) == (YES) goto prompt_was_home

goto verify_was_home

:prompt_was_home
if (%SILENT_INSTALL%)==(true)  goto silent_usage
REM Get WAS Install Dir
GetInput F_WAS_HOME "Enter the directory where the IBM WebSphere Application Server is installed: " ~washome.bat
call ~washome.bat
del ~washome.bat

:verify_was_home
IF  NOT EXIST  %F_WAS_HOME%\properties\com\ibm\websphere\product.xml   goto bad_was_home

set F_JDK_HOME=%F_WAS_HOME%\jdk

echo WAS_HOME %F_WAS_HOME%

echo JDKHOME %F_JDK_HOME%

copy GetInput.exe %F_WAS_HOME%

:check_java_home
if exist %F_JDK_HOME%\bin\java.exe  goto run_fixpack

:prompt_java_home
GetInput F_JDK_HOME "Enter the directory where the IBM JDK 1.2.2 is installed: " ~jdkhome.bat
call ~jdkhome.bat
del ~jdkhome.bat
goto check_java_home

:run_fixpack
echo "Installing the WebSphere Application Server Standard Edition 3.5.7"
if (%SILENT_INSTALL%) == (true) goto run_fixpack_silent
%F_JDK_HOME%\bin\java -jar was35_std_ptf_7.jar -target %F_WAS_HOME% -backupJar %F_WAS_HOME%\was35_ptf_7_backup.jar -log %F_WAS_HOME%/logs/was35_ptf_7.log
IF (%IGNORE_ERRORS%) == (false) IF (%errorlevel%) NEQ (0) goto was_ptf_error

REM Upgrade the JDK
echo Upgrading IBM JDK 1.2.2
xcopy %F_JDK_HOME%\* %F_WAS_HOME%\java_ptf_7 /e/q/i

%F_JDK_HOME%\bin\java -jar jdk_ptf_7.jar -target %F_WAS_HOME%\java_ptf_7 -backupJar %F_WAS_HOME%\jdk_ptf_7_backup.jar -log %F_WAS_HOME%/logs/jdk_ptf_7.log -SkipVer
if (%errorlevel%) NEQ (0) goto jdk_ptf_error
pause

xcopy %F_WAS_HOME%\java_ptf_7\* %F_JDK_HOME% /e/q/i
rmdir %F_WAS_HOME%\java_ptf_7 /S/Q
goto prompt_iplanet

:run_fixpack_silent
%F_JDK_HOME%\bin\java -jar was35_std_ptf_7.jar -target %F_WAS_HOME% -backupJar %F_WAS_HOME%\was35_ptf_7_backup.jar -log %F_WAS_HOME%/logs/was35_ptf_7.log -OverWriteBackupJar
IF (%IGNORE_ERRORS%) == (false) IF (%errorlevel%) NEQ (0) goto was_ptf_error

REM Upgrade the JDK
echo Upgrading IBM JDK 1.2.2
xcopy %F_JDK_HOME%\* %F_WAS_HOME%\java_ptf_7 /e/q/i

%F_JDK_HOME%\bin\java -jar jdk_ptf_7.jar -target %F_WAS_HOME%\java_ptf_7 -backupJar %F_WAS_HOME%\jdk_ptf_7_backup.jar -log %F_WAS_HOME%/logs/jdk_ptf_7.log -SkipVer -OverWriteBackupJar
if (%errorlevel%) NEQ (0) goto jdk_ptf_error

xcopy %F_WAS_HOME%\java_ptf_7\* %F_JDK_HOME% /e/q/i
rmdir %F_WAS_HOME%\java_ptf_7 /S/Q
goto prompt_iplanet

:prompt_iplanet
echo "Verifying for Sun ONE Web Server (iPlanet) configuration update"
echo.
if (%SILENT_INSTALL%) == (true) goto iPlanetSilent
if (%SILENT_INSTALL%) == (false) goto iPlanetInteractive

:iPlanetSilent
echo WebSphere Application Server 3.5.7 supports
echo Sun ONE Web Server (formerly iPlanet) versions 4.x.x and 6.0.x.
echo In order for the WebSphere plugin to work properly with
echo the Sun ONE Web Server (iPlanet) certain changes must be made to
echo the configuration file(s) depending on the Web Server
echo version that is installed.
echo.
echo By agreeing to update the Sun ONE Web Server (iPlanet)
echo configuration files will result in the PTF installer
echo configuring the Sun ONE Web Server (iPlanet) to use the
echo WebSphere plugin even if the plugin was not installed
echo during the base WebSphere Application Server 3.5.0
echo installation.
echo.
echo Since this is a silent installation of the PTF, the
echo installer will now check the environment variables
echo IPLANET_HOME and IPLANET_VERSION to see if they are
echo set properly.
echo.

if not defined IPLANET_HOME goto iPlanetSilentEmptyPath
goto iPlanetSilentDirCheck

:iPlanetSilentEmptyPath
echo.
echo The environment variable IPLANET_HOME is null and
echo this is a silent install, therefore the installer
echo will not attempt to make changes to the Sun ONE Web Server (iPlanet)
echo configuration.

set IPLANET=
if not defined IPLANET_VERSION goto iPlanetSilentEmptyVersion
goto prompt_ihs

:iPlanetSilentEmptyVersion
echo.
echo The environment variable IPLANET_VERSION is null and
echo this is a silent install, therefore the installer
echo will not attempt to make changes to the Sun ONE Web Server (iPlanet)
echo configuration.

set IPLANET=
goto prompt_ihs

:iPlanetSilentDirCheck
if not exist "%IPLANET_HOME%\obj.conf" goto iPlanetSilentBadHome
goto iPlanetSilentVersionCheck

:iPlanetSilentVersionCheck
echo.
echo The path set for environment IPLANET_HOME is a valid
echo directory. 
echo IPLANET_HOME=%IPLANET_HOME%
echo The Sun ONE Web Server (iPlanet) version will now be checked.

if not (%IPLANET_VERSION%) == (4) if not (%IPLANET_VERSION%) == (6) goto iPlanetSilentBadVersion
set IPLANET="%F_WAS_HOME%" "%IPLANET_HOME%" "%IPLANET_VERSION%" true
echo.
echo The value set for environment IPLANET_VERSION is valid.
echo IPLANET_VERSION=%IPLANET_VERSION%
echo The Sun ONE Web Server (iPlanet) configuration update will occur.
goto update_iplanet
 
:iPlanetSilentBadHome
echo.
echo The path for the environment variable IPLANET_HOME
echo does not exist. No Sun ONE Web Server (iPlanet) changes will be made.
echo.
set IPLANET=
goto prompt_ihs 
 
:iPlanetSilentBadVersion
echo.
echo the value specified for environment IPLANET_VERSION is
echo not 4 or 6.  Please change the environment according to
echo the version of Sun ONE Web Server (iPlanet) you have installed.
echo The Sun ONE Web Server (iPlanet) changes will not be made.
echo.
set IPLANET=
goto prompt_ihs
               
:iPlanetInteractive
echo WebSphere Application Server 3.5.7 supports
echo Sun ONE Web Server (formerly iPlanet) versions 4.x.x and 6.0.x.
echo In order for the WebSphere plugin to work properly with
echo the Sun ONE Web Server (iPlanet) certain changes must be made to
echo the configuration file(s) depending on the Web Server
echo version that is installed.
echo.
echo By agreeing to update the Sun ONE Web Server (iPlanet)
echo configuration files will result in the PTF installer 
echo configuring the Sun ONE Web Server (iPlanet) to use the
echo WebSphere plugin even if the plugin was not installed
echo during the base WebSphere Application Server 3.5.0
echo installation.
echo.
GetInput IPLANET_CONFIRM "Update Sun ONE Web Server (iPlanet) configuration for support by WebSphere (yes/no)?" ~doIPlanet.bat
call ~doIPlanet.bat
del ~doIPlanet.bat
if (%IPLANET_CONFIRM%) == (y) goto iPlanetInteractiveCheckPath
if (%IPLANET_CONFIRM%) == (Y) goto iPlanetInteractiveCheckPath
if (%IPLANET_CONFIRM%) == (yes) goto iPlanetInteractiveCheckPath
if (%IPLANET_CONFIRM%) == (Yes) goto iPlanetInteractiveCheckPath
if (%IPLANET_CONFIRM%) == (YES) goto iPlanetInteractiveCheckPath
set IPLANET=
echo The Sun ONE Web Server (iPlanet) configuration update will not occur.
goto prompt_ihs

:iPlanetInteractiveCheckPath
if not defined IPLANET_HOME goto iPlanetInteractiveEmptyPrompt
echo.
echo An Sun ONE Web Server (iPlanet) home is available from the environment IPLANET_HOME:
echo %IPLANET_HOME%
echo.
GetInput ENV_CONFIRM "Use the environment specified IPLANET_HOME (yes/no)?" ~correctIPlanet.bat
call ~correctIPlanet.bat
del ~correctIPlanet.bat
if (%ENV_CONFIRM%) == (y) goto iPlanetInteractiveDirCheck
if (%ENV_CONFIRM%) == (Y) goto iPlanetInteractiveDirCheck
if (%ENV_CONFIRM%) == (yes) goto iPlanetInteractiveDirCheck
if (%ENV_CONFIRM%) == (Yes) goto iPlanetInteractiveDirCheck
if (%ENV_CONFIRM%) == (YES) goto iPlanetInteractiveDirCheck
goto iPlanetInteractiveEmptyPrompt

:iPlanetInteractiveEmptyPrompt
echo.
echo "Example: C:\iPlanet\Servers\https-<hostname>\config"
GetInput IPLANET_HOME "Enter the path to the Sun ONE Web Server (iPlanet) configuration directory:" ~iPlanetPath.bat
call ~iPlanetPath.bat
del ~iPlanetPath.bat
if not exist "%IPLANET_HOME%" goto iPlanetBadHome
goto iPlanetInteractiveDirCheck

:iPlanetInteractiveDirCheck
if not exist "%IPLANET_HOME%" goto iPlanetBadHome
echo.
echo The path specified for IPLANET_HOME exists.
echo %IPLANET_HOME%
goto iPlanetInteractiveVersionCheck

:iPlanetInteractiveVersionCheck
if not defined IPLANET_VERSION goto iPlanetInteractiveVersionPrompt
echo.
echo An Sun ONE Web Server (iPlanet) version is available from the environment IPLANET_VERSION:
echo IPLANET_VERSION=%IPLANET_VERSION%
echo.
GetInput VERSION_CONFIRM "Use the environment specified IPLANET_VERSION (yes/no)?" ~correctIPlanetVersion.bat
call ~correctIPlanetVersion.bat
del ~correctIPlanetVersion.bat
if (%VERSION_CONFIRM%) == (y) goto iPlanetInteractiveVersionVerify
if (%VERSION_CONFIRM%) == (Y) goto iPlanetInteractiveVersionVerify
if (%VERSION_CONFIRM%) == (yes) goto iPlanetInteractiveVersionVerify
if (%VERSION_CONFIRM%) == (Yes) goto iPlanetInteractiveVersionVerify
if (%VERSION_CONFIRM%) == (YES) goto iPlanetInteractiveVersionVerify
goto iPlanetInteractiveVersionPrompt

:iPlanetInteractiveVersionPrompt
echo.
echo Please enter the version number of the Sun ONE Web Server (iPlanet) to be updated.
GetInput IPLANET_VERSION "Enter '4' for an Sun ONE Web Server (iPlanet) version 4.x.x or '6' for an Sun ONE Web Server (iPlanet) 6.x.x version: " ~iPlanetVer.bat
call ~iPlanetVer.bat
del ~iPlanetVer.bat
goto iPlanetInteractiveVersionVerify

:iPlanetInteractiveVersionVerify
if not (%IPLANET_VERSION%) == (4) if not (%IPLANET_VERSION%) == (6) goto iPlanetBadVersion
set IPLANET="%F_WAS_HOME%" "%IPLANET_HOME%" "%IPLANET_VERSION%" false
echo.
echo The IPLANET_VERSION is valid, the update will occur.
echo.
goto update_iplanet

:iPlanetBadVersion
echo.
echo The version specified for IPLANET_VERSION is not '4' or '6'.
GetInput IPLANET_CANCEL "Cancel this update (yes/no)?" ~canUpd.bat
call ~canUpd.bat
del ~canUpd.bat
if (%IPLANET_CANCEL%) == (y) goto iplanet_update_error
if (%IPLANET_CANCEL%) == (Y) goto iplanet_update_error
if (%IPLANET_CANCEL%) == (yes) goto iplanet_update_error
if (%IPLANET_CANCEL%) == (Yes) goto iplanet_update_error
if (%IPLANET_CANCEL%) == (YES) goto iplanet_update_error
goto iPlanetInteractiveVersionPrompt

:iPlanetBadHome
echo The path specified for IPLANET_HOME could not be found
GetInput REPROMPT "Update Sun ONE Web Server (iPlanet) configuration for support by WebSphere (yes/no)?" ~doIPlanetAgain.bat
call ~doIPlanetAgain.bat
del ~doIPlanetAgain.bat
if (%REPROMPT%) == (y) goto iPlanetInteractiveEmptyPrompt
if (%REPROMPT%) == (Y) goto iPlanetInteractiveEmptyPrompt
if (%REPROMPT%) == (yes) goto iPlanetInteractiveEmptyPrompt
if (%REPROMPT%) == (Yes) goto iPlanetInteractiveEmptyPrompt
if (%REPROMPT%) == (YES) goto iPlanetInteractiveEmptyPrompt
goto prompt_ihs

:update_iplanet
if not exist "%F_WAS_HOME%\IPlanet6Support.class" goto extract_iplanet
%F_JDK_HOME%\bin\java -classpath %F_WAS_HOME% IPlanet6Support %IPLANET%
if (%errorlevel%) NEQ (0) goto iplanet_update_error
del %F_WAS_HOME%\IPlanet6Support.class
goto prompt_ihs

:extract_iplanet
if not exist was35_std_ptf_7.jar goto no_jar_file
echo Extracting IPlanet6Support.class
%F_JDK_HOME%\bin\jar -xf was35_std_ptf_7.jar IPlanet6Support.class
copy "IPlanet6Support.class" "%F_WAS_HOME%\IPlanet6Support.class"
goto update_iplanet

:no_jar_file
echo The was35_std_ptf_7.jar file must be in the same directory as the install.bat file.
goto iplanet_update_error


:prompt_ihs
if (%SILENT_INSTALL%) == (true) goto verify_ihs
REM Install IHS?
echo WARNING: If you install IBM HTTP Server PTF, you may not be able to uninstall it cleanly. The GSkit package will not be uninstalled.
GetInput F_IHS_YN "Do you wish to upgrade the IBM HTTP Server 1.3.12:(Yes/No) " ~ihsprompt.bat
call ~ihsprompt.bat
del ~ihsprompt.bat
if (%F_IHS_YN%) == (yes) goto check_for_ihs
if (%F_IHS_YN%) == (Yes) goto check_for_ihs
if (%F_IHS_YN%) == (YES) goto check_for_ihs
if (%F_IHS_YN%) == (y) goto check_for_ihs
if (%F_IHS_YN%) == (Y) goto check_for_ihs
goto prompt_samples

:check_for_ihs
REM Enter IHS home path
echo EXAMPLE: C:\IBM HTTP Server
GetInput F_IHS_HOME "Enter the directory where the IBM HTTP Server 1.3.12 is installed: " ~ihshome.bat
call ~ihshome.bat
del ~ihshome.bat
if "%F_IHS_HOME%" == "" goto prompt_samples

:verify_ihs
REM CHeck silent install variable IHS_INSTALL first.  If equal blank, regular install continues.
if (%IHS_INSTALL%) == (false) goto prompt_samples
if (%IHS_INSTALL%) == (true)  set F_IHS_HOME=%IHS_HOME%
if (%IHS_INSTALL%) == (true)  goto upgrade_ihs
if exist "%F_IHS_HOME%\conf\httpd.conf" goto upgrade_ihs
echo Unable to find IBM HTTP Server Application in specified path: %F_IHS_HOME%
goto prompt_ihs

:upgrade_ihs
echo Upgrading IHS

if (%SILENT_INSTALL%) == (true) goto upgrade_ihs_silent
REM defect 110215 updating to ihs ptf 7 
%F_JDK_HOME%\bin\java -jar ihs_ptf_7.jar -target "%F_IHS_HOME%" -backupJar %F_WAS_HOME%\ihs_ptf_7_backup.jar -log %F_WAS_HOME%/logs/ihs_ptf_7.log -SkipVer
if (%errorlevel%) NEQ (0) goto ihs_ptf_error
REM update system directory
xcopy "%F_IHS_HOME%\system32\*" %windir%\system32 /s
REM install GSKIT
"%F_IHS_HOME%\skit\setup" GSkit4 "%SystemDrive%\Program Files" -s -f2.\gskit4.log
if (%errorlevel%) NEQ (0) goto ihs_ptf_error
goto prompt_samples

:upgrade_ihs_silent
REM defect 110215 updating to ihs ptf 7 
%F_JDK_HOME%\bin\java -jar ihs_ptf_7.jar -target "%F_IHS_HOME%" -backupJar %F_WAS_HOME%\ihs_ptf_7_backup.jar -log %F_WAS_HOME%/logs/ihs_ptf_7.log -SkipVer -OverWriteBackupJar
if (%errorlevel%) NEQ (0) goto ihs_ptf_error
REM update system directory
xcopy "%F_IHS_HOME%\system32\*" %windir%\system32 /s
REM install GSKIT
"%F_IHS_HOME%\skit\setup" GSkit4 "%SystemDrive%\Program Files" -s -f2.\gskit4.log
if (%errorlevel%) NEQ (0) goto ihs_ptf_error
goto prompt_samples


REM Check for silent install of samples
:prompt_samples
IF (%SILENT_SAMPLES%) == (false) goto complete
IF (%SILENT_SAMPLES%) == (true)  set F_DOC_ROOT=%DOC_ROOT%
IF (%SILENT_SAMPLES%) == (true)  goto install_samples

REM upgrade the Samples in the doc root
	GetInput F_CONFIRM "Do you wish to upgrade the WebSphere Application Server samples?(Yes/No)" ~confirm.bat
	call ~confirm.bat
	del ~confirm.bat
	if (%F_CONFIRM%) == (y) goto samples
	if (%F_CONFIRM%) == (Y) goto samples
	if (%F_CONFIRM%) == (yes) goto samples
	if (%F_CONFIRM%) == (Yes) goto samples
	if (%F_CONFIRM%) == (YES) goto samples
	goto complete
:samples
   echo off
   echo In order to update the WebSphere Application Server Samples
   echo the currently configured WebServer's doc root must be specified
   echo Eg. C:\IBM HTTP Server\htdocs
   GetInput F_DOC_ROOT "Please enter your webserver's doc root path:" ~docroot.bat
	call ~docroot.bat
	del ~docroot.bat
	echo %F_DOC_ROOT%
	GetInput F_CONFIRM "Is this correct?(Yes/No)" ~confirm.bat
	call ~confirm.bat
	del ~confirm.bat
	if (%F_CONFIRM%) == (n) goto samples
	if (%F_CONFIRM%) == (N) goto samples
	if (%F_CONFIRM%) == (no) goto samples
	if (%F_CONFIRM%) == (No) goto samples
	if (%F_CONFIRM%) == (NO) goto samples

:install_samples
	xcopy %F_WAS_HOME%\WSsamples "%F_DOC_ROOT%\WSsamples" /e/q/i
	xcopy %F_WAS_HOME%\WSsamplesIDB "%F_DOC_ROOT%\WSsamplesIDB" /e/q/i
	xcopy %F_WAS_HOME%\theme "%F_DOC_ROOT%\theme" /e/q/i

goto complete

:bad_was_home
echo Can not find WebSphere Application Server in %F_WAS_HOME%
GetInput F_CONFIRM "Do you want try again to enter the WAS_HOME directory?(Yes/No)" ~confirm.bat
	call ~confirm.bat
	del ~confirm.bat
	if (%F_CONFIRM%) == (y) goto prompt_was_home
	if (%F_CONFIRM%) == (Y) goto prompt_was_home
	if (%F_CONFIRM%) == (yes) goto prompt_was_home
	if (%F_CONFIRM%) == (Yes) goto prompt_was_home
	if (%F_CONFIRM%) == (YES) goto prompt_was_home
echo Install aborted.
goto exit

:check_silent_vars
IF NOT EXIST %WAS_HOME%\properties\com\ibm\websphere\product.xml echo Invalid WAS_HOME set.
IF NOT EXIST %WAS_HOME%\properties\com\ibm\websphere\product.xml goto silent_usage

set SILENT_SAMPLES=true
IF NOT EXIST "%DOC_ROOT%"  set SILENT_SAMPLES=false

IF (%IHS_INSTALL%) == () echo IHS_INSTALL is not set to true or false.
IF (%IHS_INSTALL%) == () goto silent_usage

IF (%IHS_INSTALL%) NEQ (false) goto ihs_silent_true
goto check_was_home


:ihs_silent_true
IF (%IHS_INSTALL%) NEQ (true) echo IHS_INSTALL is not set correctly to true or false.
IF (%IHS_INSTALL%) NEQ (true) goto silent_usage

IF NOT EXIST %IHS_HOME%\conf\httpd.conf  echo IHS_INSTALL=true and IHS_HOME is not set correctly.
IF NOT EXIST %IHS_HOME%\conf\httpd.conf  goto silent_usage
goto check_was_home


:was_ptf_error
echo Either the user has chosen to exit, or there was an error during the WebSphere PTF upgrade.
echo In case of error, run uninstall_ptf_#.bat to back out the changes.
echo The PTF upgrade will end now.
goto exit

:jdk_ptf_error
echo Either the user has chosen to exit, or there was an error during the JDK PTF upgrade.
echo In case of error, run uninstall_ptf_#.bat to back out the changes.
echo The PTF upgrade will end now.
goto exit

:iplanet_update_error
echo Either the user has chosen to exit, or there was an error during the Sun ONE Web Server (iPlanet) update.
echo In case of error, run uninstall_ptf_#.bat to back out the changes.
echo The PTF upgrade will end now.
goto exit

:ihs_ptf_error
echo Either the user has chosen to exit, or there was an error during the IBM HTTP Server PTF upgrade.
echo In case of error, run uninstall_ptf_#.bat to back out the changes.
echo The PTF upgrade will end now.
goto exit

:complete
echo IBM WebSphere Application Server V3.5.7 Standard Fixpack install complete

:exit
